
export const sizeLegend  =  ( selection, props) => {
  
  const {
    sizeScale, 
    spacing,
    textOffset,
    colorScale_size} = props; 
   
  
const ticks = sizeScale.ticks(5).filter(d => d !== 0)
  

  const groups =  selection.selectAll('g').data(ticks);    
  
  const groupsEnter = groups.enter().append('g');
  
  groupsEnter
    .merge(groups)      

        
  // groups.exit();
      
  groupsEnter.append('circle')     
    .merge(groups.select('circle'))     
    .attr('fill', colorScale_size)   
    .attr('r', sizeScale)
    .transition().duration(1000)
    .attr('transform', (d,i) => 
      `translate(300,${i * spacing})`)

  
  
  groupsEnter.append('text')   
    .merge(groups.select('text'))
    .text(d => d)
  	.attr("dy", "0.32em")
    .attr('x', textOffset)
    .transition().duration(1000)
    .attr('transform', (d,i) => 
      `translate(300,${i * spacing})`);    
}